For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportStatusTry now
DocumentationAPI Reference
DocumentationAPI Reference
    • API Overview
  • API Guides
    • Authentication
    • Concurrency & Rate Limits
    • Batch Processing
    • Webhooks
  • Generate API
    • POSTCreate Generation
    • POSTCreate Generation with Files
    • GETGet Generation
    • GETList Generations
    • POSTEstimate Cost
  • Batch API
    • POSTCreate Batch
    • GETGet Batch
    • GETList Batches
  • Assets API
    • GETList Assets
    • GETGet Asset
  • Models API
    • GETList Models
  • Webhooks Payload Reference
LogoLogo
SupportStatusTry now
Batch API

Create Batch

POST
/v2/batch
POST
/v2/batch
$curl -X POST https://api.sync.so/v2/batch \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F input=@<file1> \
> -F webhook_url="https://your-webhook-url.com/batch-webhook" \
> -F dry_run='false'
1{
2 "id": "batch_abc123",
3 "created_at": "2024-01-15T10:30:00Z",
4 "status": "PENDING",
5 "metrics": {
6 "total_generations": 5,
7 "success_count": 0,
8 "failed_count": 0,
9 "pending_count": 0
10 },
11 "webhookUrl": "https://your-webhook-url.com/batch-webhook",
12 "outputUrl": ""
13}

API for Batch Processing. Available only for Scale and Enterprise plans.

Was this page helpful?
Previous

Get Batch

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Request

This endpoint expects a multipart form containing a file.
inputfileRequired

JSON lines file containing batch requests. Minimum 20 records required. Maximum file size: 5MB. Maximum requests per batch: 500.

webhook_urlstringOptional
Optional webhook URL to receive batch completion notifications. A POST request will be sent when the batch completes or fails.
dry_runbooleanOptionalDefaults to false
When true, validates the input file without processing. Returns validation status without creating generations.

Response

This endpoint returns an object.
Batch Responseobject
OR
Validation Responseobject

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
429
Too Many Requests Error
500
Internal Server Error